Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools XML Security Java API Reference 10g Release 3 (10.1.3) B25383-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.xmlsec.util
Class DocTypeUtil

`java.lang.Object
oracle.security.xmlsec.util.DocTypeUtil`

public class DocTypeUtil
extends java.lang.Object

Utility class for working with `org.w3c.dom.DocumentType` nodes.

Since:
  1.1

Constructor Summary
`DocTypeUtil()` Creates a new `DocTypeUtil` instance.
`DocTypeUtil(org.w3c.dom.DocumentType docType)` Creates a new `DocTypeUtil` instance from the contents of the given `DocumentType`.

Method Summary
`java.lang.String` | `getInternalSubset()` Returns the internal subset as a string.
`java.lang.String` | `getName()` Returns the name of the DTD (i.e., the name immediately following the DOCTYPE keyword).
`java.lang.String` | `getPublicId()` Returns the public identifier of the external subset.
`java.lang.String` | `getSystemId()` Returns the system identifier of the external subset.
`void` | `setInternalSubset(java.lang.String internalSubset)` Sets the internal subset as a string.
`void` | `setName(java.lang.String name)` Sets the name of the DTD (i.e., the name immediately following the DOCTYPE keyword).
`void` | `setPublicId(java.lang.String publicId)` Sets the public identifier of the external subset.
`void` | `setSystemId(java.lang.String systemId)` Returns the system identifier of the external subset.
`java.lang.String` | `toString()` Returns the XML string representation of the DocumentType node.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DocTypeUtil

    public DocTypeUtil()

  Creates a new `DocTypeUtil` instance.

### DocTypeUtil

    public DocTypeUtil(org.w3c.dom.DocumentType docType)

  Creates a new `DocTypeUtil` instance from the contents of the given `DocumentType`.
Parameters:
  `docType` - The `org.w3c.dom.DocumentType` node.

Method Detail

### getName

    public java.lang.String getName()

  Returns the name of the DTD (i.e., the name immediately following the DOCTYPE keyword).

### setName

    public void setName(java.lang.String name)

  Sets the name of the DTD (i.e., the name immediately following the DOCTYPE keyword).

### getPublicId

    public java.lang.String getPublicId()

  Returns the public identifier of the external subset.

### setPublicId

    public void setPublicId(java.lang.String publicId)

  Sets the public identifier of the external subset.

### getSystemId

    public java.lang.String getSystemId()

  Returns the system identifier of the external subset.

### setSystemId

    public void setSystemId(java.lang.String systemId)

  Returns the system identifier of the external subset.

### getInternalSubset

    public java.lang.String getInternalSubset()

  Returns the internal subset as a string.

  The actual content returned may depend on how much information is available to the implementation. This may vary depending on various parameters, including the XML processor used to build the document.

### setInternalSubset

    public void setInternalSubset(java.lang.String internalSubset)

  Sets the internal subset as a string.

### toString

    public java.lang.String toString()

  Returns the XML string representation of the DocumentType node.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools XML Security Java API Reference 10g Release 3 (10.1.3) B25383-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, 2006 , Oracle. All rights reserved.